## calcrogue 0.1-beta6c-0maemo1

=== src/Makefile ===
## Generated file
##
## Be sure to look through Makefile.config to set various tool options
## and settings. You might also want to have a look at include/config.h
##

include make/Makefile.config
include make/Makefile.all

include make/Makefile.comp

=== src/tools/cluss/Makefile ===
Q=@

all:
	$(Q)$(MAKE) --no-print-directory -C mibic
	$(Q)$(MAKE) --no-print-directory -C assembler
	$(Q)cp frontend/cluss cluss

clean:
	$(Q)$(MAKE) --no-print-directory -C mibic     clean
	$(Q)$(MAKE) --no-print-directory -C assembler clean
	$(Q)rm -f cluss
tidy:
	$(Q)$(MAKE) --no-print-directory -C mibic     tidy
	$(Q)$(MAKE) --no-print-directory -C assembler tidy
	$(Q)rm -f cluss

=== src/tools/huffman/Makefile ===
all : huffman huffman_compress huffman_decompress

huffman : huffman.c huffman.h
	gcc huffman.c -o huffman -Wall -O

huffman_compress : huffman_encode.c huffman_compress.c huffman.h hufftable.h
	gcc huffman_encode.c huffman_compress.c -o huffman_compress -Wall -O

huffman_decompress : huffman_encode.c huffman_decompress.c huffman.h hufftable.h
	gcc huffman_encode.c huffman_decompress.c -o huffman_decompress -Wall -O

clean :
	rm -f *.exe

=== src/tools/mki/Makefile ===
PROJECT=mki

CXX    := g++
CXXOPT := -O2 -Wall -Iinclude
LD     := g++
LIBS   :=

LDOPT  += -o $(PROJECT)
LDOPT  += $(addprefix -l, $(LIBS))

SOURCES=$(wildcard src/*.cpp)
OBJECTS=$(foreach file, $(basename $(notdir $(SOURCES))), obj/$(file).o)

CMD = @echo
Q = @

$(PROJECT): $(OBJECTS)
	$(CMD) "  LD  " $^
	$(Q) $(LD) $(LDOPT) $(OBJECTS)

obj/%.o : src/*.cpp
	$(CMD) "  Cxx " $<
	$(Q) $(CXX) $(CXXOPT) -o $@ -c $<

clean:
	$(Q) rm -f obj/*.o *.exe

=== src/tools/sgt/Makefile ===

CXX=c++
PROGNAME=sgt
SOURCES=src/filter.c src/util.c src/translate.c src/main.cc
HEADERS=src/sgt.h
OBJDIR=.

Q=@

$(PROGNAME): $(SOURCES) $(HEADERS)
	$(CXX) -o $(OBJDIR)/$(PROGNAME)  -ggdb -O0 -Wextra -g -Wall $(SOURCES)

clean:
	$(Q)rm -f *.o sgt *.exe

=== src/tools/cluss/assembler/Makefile ===
PROJECT=cluss_asm
SOURCES := $(wildcard src/*.c)
OBJECTS := $(foreach file, $(SOURCES), $(basename $(notdir $(file))).o)
INCLUDEPATH := -Iinclude
Q  ?= @
echo ?= @echo
CC ?= gcc
CCOPTS = -ggdb -O0 -Wextra -Wall -Iinclude -g -c
LD := $(CC)
CPROTO=cproto
vpath %.c src

$(PROJECT): $(OBJECTS)
	$(echo) "  LD " $^
	$(Q)$(LD) -o $@ $^

%.o: %.c
	$(echo) "  CC " $^
	$(Q)$(CC) $(CCOPTS) -o $@ $^

clean:
	$(Q)rm -f *.o *.exe
tidy: clean

proto: include/proto.h
include/proto.h: $(SOURCES)
	$(echo) "cproto " $^
	$(Q)$(CPROTO) $(INCLUDEPATH) -DCPROTO -o include/proto.h $(SOURCES)

=== src/tools/cluss/mibic/Makefile ===
CC   := gcc
LD   := gcc
YACC ?= yacc
LEX  ?= lex
Q    ?= @
echo ?= @echo
DEL  ?= rm -f


CFILES=src/main.c src/namespace.c src/util.c src/hir.c src/type.c \
       src/hir_print.c src/hir_reduce.c src/hir_pointers.c src/hir_constant.c \
	   src/hir_struct.c src/lir.c src/lir_assemble.c opt/lir_dead_tail.c \
	   opt/lir_constant_size.c
HFILES=include/compile.h include/namespace.h include/util.h include/hir.h \
       include/lir.h include/type.h include/hir_struct.h
YFILE=src/compile.y
LFILE=src/compile.l
CCOPTS=-ggdb -Wextra -Wall -O0 -Iinclude -c
CCOPTS_NOWARN=-O2 -Iinclude -c
OBJECTS=$(foreach file, $(CFILES), $(basename $(notdir $(file))).o)

vpath %.c src opt
vpath %.h include

#mkdat: lex.yy.c y.tab.c $(CFILES) $(HFILES)
#	$(echo) "  CC " $^
#	$(Q)$(CC) $(CCOPTS) lex.yy.c y.tab.c $(CFILES) -o mkdat

mkdat: lex.yy.o y.tab.o $(OBJECTS)
	$(echo) "  LD " $@
	$(Q)$(LD) -o $@ $^

lex.yy.o: lex.yy.c
	$(echo) "  CC " $<
	$(Q)$(CC) $(CCOPTS_NOWARN) $< -o $@
y.tab.o: y.tab.c
	$(echo) "  CC " $<
	$(Q)$(CC) $(CCOPTS_NOWARN) $< -o $@
%.o: %.c $(HFILES)
	$(echo) "  CC " $<
	$(Q)$(CC) -o $@ $(CCOPTS) $<

lex.yy.c : $(LFILE)
	$(LEX) $(LFILE)

y.tab.c : $(YFILE)
	$(YACC) -d $(YFILE)

clean:
	$(Q)$(DEL) mkdat.exe mkdat *.o

tidy: clean

=== debian/changelog ===
calcrogue (0.1-beta6c-0maemo1) unstable; urgency=low

  * Initial release

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 11 Jul 2011 18:02:40 +0200

=== debian/control ===
Source: calcrogue
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libncurses5-dev
Standards-Version: 3.8.1
Homepage: http://calcrogue.jimrandomh.org/

Package: calcrogue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Roguelike targeted for calculators

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp
	cd src ; ./configure

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd src ; make

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	cd src/tools/sgt/ ; make clean
	cd src ; make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#ifolder 
	install -d ${CURDIR}/debian/calcrogue/opt/calcrogue

	#files
	install ${CURDIR}/binLinux/* ${CURDIR}/debian/calcrogue/opt/calcrogue/

	#menu and icon
	#install ${CURDIR}/calcrogue.png     ${CURDIR}/debian/calcrogue/usr/share/icons/hicolor/64x64/hildon

	#install -d ${CURDIR}/debian/calcrogue/usr/share/applications/hildon
	#install ${CURDIR}/calcrogue.desktop ${CURDIR}/debian/calcrogue/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## calcrogue 0.1-beta6c-0maemo2

=== debian/changelog ===
calcrogue (0.1-beta6c-0maemo2) unstable; urgency=low

  * Optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 13 Jul 2011 22:55:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -54,8 +54,9 @@
 	dh_installdirs
 
 
-	#ifolder 
+	#folders
 	install -d ${CURDIR}/debian/calcrogue/opt/calcrogue
+	install -d ${CURDIR}/debian/calcrogue/opt/calcrogue/save
 
 	#files
 	install ${CURDIR}/binLinux/* ${CURDIR}/debian/calcrogue/opt/calcrogue/
